Subject: Re: bug#14648: 24.3.50; `font' frame parameter bizarreness

From: Kenichi Handa <[email-masked]>
Date: Tue, 18 Jun 2013 11:17:04 -0400

In article <5254f82d-9d1e-448c-83b1-17f87b64aa7b@default>, Drew Adams
<[email-masked]> writes:

> emacs -Q
> (modify-frame-parameters
>   (selected-frame)
>   '((font . "-outline-Gabriola-normal-normal-normal-decorative")))

> Note that the font string here is not a valid XFLD, but it has the
> first
> 6 fields of a valid XFLD.  If it were suffixed by "-*-*-*-*-*-*-*-*"
> then the value would be a valid XFLD (and the bug described below
> would
> not be realized - things work correctly).

> The font of the frame is indeed changed, but not to the font
> specified,
> and not to the default font either (e.g., the font for face
> `default').

Thank you for the report.  I've just installed a fix to signal an error
for an invalid font name in such a case.

> (frame-parameter nil 'font) =>
> "-outline-Arial-normal-normal-normal-sans-20-*-*-*-p-*-iso8859-1"

> What's that?  The doc says nothing about this bizarre behavior.
> Where did this font come from?

It may be the default font found on your system when none of
font property is specified.

---
Kenichi Handa
[email-masked]